bdi4jade.goal

## Class PredicateGoal<K>

- java.lang.Object
- - bdi4jade.goal.AbstractBeliefGoal<K>
  - - bdi4jade.goal.BeliefValueGoal<K,java.lang.Boolean>
    - - bdi4jade.goal.PredicateGoal<K>

- Type Parameters:
    `K` - the type of the belief name.
  All Implemented Interfaces:
    BeliefGoal<K>, Goal, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class PredicateGoal<K>
      extends BeliefValueGoal<K,java.lang.Boolean>

  This class represents the goal of an agent to believe in a certain belief with an specific boolean value, that is, the agent has a belief whose name and value are specified in this goal.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.goal.AbstractBeliefGoal

      `beliefName, outputBelief`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicateGoal()` Default constructor.
    `PredicateGoal(K beliefName, java.lang.Boolean value)` Creates a new PropositionalBeliefValueGoal with the provided belief name and a boolean value.

  - ### Method Summary

    - ### Methods inherited from class bdi4jade.goal.BeliefValueGoal

      `equals, getValue, hashCode, isAchieved, setValue, toString`

    - ### Methods inherited from class bdi4jade.goal.AbstractBeliefGoal

      `getBeliefName, getOutputBelief, setBeliefName, setOutputBelief`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PredicateGoal

          public PredicateGoal()

      Default constructor.

    - #### PredicateGoal

          public PredicateGoal(K beliefName,
                               java.lang.Boolean value)

      Creates a new PropositionalBeliefValueGoal with the provided belief name and a boolean value. This value represents the value that is aimed to be associated with the belief.
      Parameters:
        `beliefName` - the belief name.
        `value` - the boolean value that is target of this goal.